/* ==========================================================================
  REVIEWS
===========================================================================*/

.reviews {
  position: relative;
  padding-top: 60px;
  padding-bottom: 60px;
  background-color: $color-gray-light;
  overflow: hidden;

  .container {
    position: relative;
    z-index: 3;
  }

  &.pattern-ragged {
    padding-bottom: 120px;

    @include mq('tablet', 'max') {
      padding-bottom: 100px;
    }
  }

  @include mq('tablet', 'max') {
    padding-top: 30px;
    padding-bottom: 30px;
    text-align: center;
  }

  &::before {

    @include mq('tablet') {
      content: '';
      display: block;
      position: absolute;
      top: 10px;
      right: -80px;
      width: 471px;
      height: 464px;
      background: url("../images/shield.svg") no-repeat;
      background-size: cover;
      opacity: 0.2;
    }
  }

  .h2 {
    margin: 0;
  }
}

.reviews__list_carousel {
  max-width: 1140px;
  margin-top: 40px;
  margin-left: auto;
  margin-right: auto;
  padding-left: 80px;
  padding-right: 80px;

  @include mq('tablet', 'max') {
    padding-left: 0;
    padding-right: 0;
    margin-top: 20px;
  }
}

.js-reviews.slick-slider {
  margin-bottom: 68px;

  @include mq('tablet', 'max') {
    margin-bottom: 90px;
  }

  .slick-dots {
    position: absolute;
    bottom: -68px;
    left: 0;
    display: flex;
    align-items: center;
    margin: 0;
    padding-left: 80px;
    text-align: left;

    @include mq('tablet', 'max') {
      justify-content: center;
      padding-left: 0;
      bottom: -50px;
    }
  }

  .slick-prev {
    left: 0;
  }

  .slick-next {
    right: 0;
  }

  .slick-arrow {
    top: 30px;
    transform: none;
  }

  @include mq('tablet', 'max') {
    .slick-arrow {
      display: none !important;
    }
  }
}

.review-block {
  display: block;
  width: 100%;
}

.review-block__content {
  margin-bottom: 35px;

  @include mq('tablet', 'max') {
    margin-bottom: 20px;
  }

  p {
    margin: 0;

    + p {
      margin-top: 20px;
    }
  }
}

.review-block__name {
  display: block;
  margin-bottom: 20px;
  color: $color-primary;
}

.reviews__controls {
  display: flex;
  justify-content: flex-end;
  margin-top: -40px;


  @include mq('tablet', 'max') {
    margin-top: 0;
  }

  .btn {

    + .btn {

      @include mq('tablet') {
        margin-left: 30px;
      }
    }
  }

  @include mq('tablet', 'max') {
    flex-direction: column;
    padding-bottom: 0;

    .btn {

      &:last-child {
        order: 0;
      }
    }

    .btn + .btn {
      margin-top: 20px;
    }
  }
}

/* end reviews */
